#pragma once

#include <string>
#include <QByteArray>
#include <opencv2/opencv.hpp>

class DataDragonImageCache {
public:
	DataDragonImageCache(const std::string& folderextra, const std::string& imageext = ".jpg");
	~DataDragonImageCache();

	cv::Mat getImage(const std::string& name);
	void addImageRaw(const QByteArray& arr, const std::string& name);
private:
	std::string getFilepath(const std::string& name) const;

	std::string cacheDir;
	std::string imageext; // file extention including dot
};
