#include "screen.h"

class FakeScreen : public ScreenShot {
private:
	int xoffset = 0;
	int yoffset = 0;
	int xsize = 0;
	int ysize = 0;
public:

	FakeScreen(int xoffset = 0, int yoffset = 0, int xsize = 0, int ysize = 0);
	~FakeScreen();

	virtual void take(cv::Mat& cvimg) override;
	virtual void operator() (cv::Mat& cvimg) override;

	virtual int getXOffset() const override;
	virtual int getYOffset() const override;
	virtual double getXScale() const override;
	virtual double getYScale() const override;
};