#include "json.h"

template<>
int convert(const QJsonValue& val) {
	if(val.isString())
		return val.toString().toInt();
	return val.toInt();
}

template<>
std::string convert(const QJsonValue& val) {
	return val.toString().toStdString();
}

template<>
bool convert(const QJsonValue& val) {
	if(val.isString())
		return val.toString().toDouble() != 0;
	return val.toBool();
}
